<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'laravel',

    /*
     * Package.
     */
    'package'   => 'appointmant',

    /*
     * Modules.
     */
    'modules'   => ['appointments'],

    
    'appointments'       => [
        'model' => [
            'model'                 => \Laravel\Appointmant\Models\Appointments::class,
            'table'                 => 'appointments',
            'presenter'             => \Laravel\Appointmant\Repositories\Presenter\AppointmentsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'appointment_date',  'appointment'],
            'translatables'         => [],
            'upload_folder'         => 'appointmant/appointments',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Laravel',
            'package'   => 'Appointmant',
            'module'    => 'Appointments',
        ],

    ],
];
