# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/laravel/appointmant/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/laravel/appointmant/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Laravel\\Appointmant\\": "packages/laravel/appointmant/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Laravel\Appointmant\Providers\AppointmantServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Appointmant'  => Laravel\Appointmant\Facades\Appointmant::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Laravel\\AppointmantTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Laravel\Appointmant\Providers\AppointmantServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Laravel\Appointmant\Providers\AppointmantServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Laravel\Appointmant\Providers\AppointmantServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/appointmant/{modulename}

**User**

    http://path-to-route-folder/user/appointmant/{modulename}

**Public**

    http://path-to-route-folder/appointmants


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/appointmant/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/appointmant/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/appointmant/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/appointmant/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/appointmant/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/appointmant/{modulename}/{slug}
    METHOD: GET