<?php

// web routes  for appointments
Route::prefix('{guard}/appointmant')->group(function () {
    Route::resource('appointments', 'AppointmentsResourceController');
});

// Public routes for appointments
Route::get('appointmants/', 'AppointmentsPublicController@index');
Route::get('appointmants/{slug?}', 'AppointmentsPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AppointmentsResourceController');
            });
            // Public routes for pages
            Route::get('appointmants/', 'AppointmentsPublicController@index');
            Route::get('appointmants/{slug?}', 'AppointmentsPublicController@show');
        }
    );
}

