<?php

namespace Laravel\Appointmant\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AppointmentsTransformer extends TransformerAbstract
{
    public function transform(\Laravel\Appointmant\Models\Appointments $appointments)
    {
        return [
            'id'                => $appointments->getRouteKey(),
            'key'               => [
                'public'    => $appointments->getPublicKey(),
                'route'     => $appointments->getRouteKey(),
            ], 
            'user_id'           => $appointments->user_id,
            'appointment_date'  => $appointments->appointment_date,
            'appointment'       => $appointments->appointment,
            'url'               => [
                'public'    => trans_url('appointmant/'.$appointments->getPublicKey()),
                'user'      => guard_url('appointmant/appointments/'.$appointments->getRouteKey()),
            ], 
            'status'            => trans('app.'.$appointments->status),
            'created_at'        => format_date($appointments->created_at),
            'updated_at'        => format_date($appointments->updated_at),
        ];
    }
}